Bug 1433657 - Review Request: vncpwd - VNC Password Decrypter
Summary: Review Request: vncpwd - VNC Password Decrypter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-19 02:01 UTC by Michal Ambroz
Modified: 2018-03-06 17:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-28 17:10:02 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Michal Ambroz 2017-03-19 02:01:41 UTC
Spec URL: http://rebus.fedorapeople.org//vncpwd.spec
SRPM URL: http://rebus.fedorapeople.org//vncpwd-0.0-1.gitdafebe0.fc24.src.rpm

Description:
The vncpwd decrypts the VNC password.

Comment 1 Michal Ambroz 2017-03-19 02:47:52 UTC
Scratchbuild:
https://koji.fedoraproject.org/koji/taskinfo?taskID=18463530

Comment 2 Till Maas 2017-04-02 22:24:16 UTC
AFAICS the RPM macro pkgver is defined but not used, please consider removing it. Also the README file in the tarball contains the license information, therefore it might be a good idea to add it as %license, however the actual license is missing in the tarball (see https://github.com/jeroennijhof/vncpwd/issues/1)

Comment 3 Michal Ambroz 2017-04-13 15:01:30 UTC
Spec URL: http://rebus.fedorapeople.org//vncpwd.spec
SRPM URL: http://rebus.fedorapeople.org//vncpwd-0.0-2.gitdafebe0.fc24.src.rpm

Thanks for the comments and upstream bug report about the license.
I have removed pkgver macro (as it is not needed now) and added README to %license.

Michal Ambroz

Comment 4 Robert-André Mauchin 2017-10-02 12:43:49 UTC
Hello,


 - Please update to latest git revision: 596854c237e26b3f615d933e8abd040f1ed9b5c9

 - Please include a commit date for versioning:

%global         commit          596854c237e26b3f615d933e8abd040f1ed9b5c9
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})
%global         commitdate      20170607

Name:           vncpwd
Version:        0.0
Release:        2.%{commitdate}git%{shortcommit}%{?dist}

   And:

* Thu Apr 13 2017 Michal Ambroz <rebus at, seznam.cz> 0.0-2.20170607git596854c

 - The license has been added to the repo, use it:

%files
%doc README
%license LICENSE
%{_bindir}/%{name}

 - use %make_build instead of just make

 - Group: is not used in Fedora. See https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

 - The package doesn't generate debugging symbols, you should add:

%global debug_package   %{nil}

 - You should patch the FSF address in the README and notify upstream.

vncpwd.x86_64: E: incorrect-fsf-address /usr/share/doc/vncpwd/README


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/vncpwd/review-
     vncpwd/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vncpwd-0.0-2.20170607git596854c.fc28.x86_64.rpm
          vncpwd-0.0-2.20170607git596854c.fc28.src.rpm
vncpwd.x86_64: W: spelling-error %description -l en_US decrypts -> crypts
vncpwd.x86_64: W: unstripped-binary-or-object /usr/bin/vncpwd
vncpwd.x86_64: W: only-non-binary-in-usr-lib
vncpwd.x86_64: E: incorrect-fsf-address /usr/share/doc/vncpwd/README
vncpwd.x86_64: W: no-manual-page-for-binary vncpwd
vncpwd.src: W: spelling-error %description -l en_US decrypts -> crypts
2 packages and 0 specfiles checked; 1 errors, 5 warnings.

Comment 5 Michal Ambroz 2017-12-10 07:32:30 UTC
Spec URL: http://rebus.fedorapeople.org/SPECS/vncpwd.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/vncpwd-0.0-3.20170607git596854c.fc27.src.rpm


>- Please update to latest git revision: 596854c237e26b3f615d933e8abd040f1ed9b5c9
updated

>- Please include a commit date for versioning:
added

>- use %make_build instead of just make
used

> - Group: is not used in Fedora. See https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections
removed 

> - The package doesn't generate debugging symbols, you should add:
> %global debug_package   %{nil}
I have rather patched to honor the optflags


> - You should patch the FSF address in the README and notify upstream.
Reported upstream, but not patched

Comment 6 Robert-André Mauchin 2017-12-10 15:54:01 UTC
Well except the FSF address issue the package is good.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/vncpwd/review-
     vncpwd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in vncpwd-
     debuginfo , vncpwd-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vncpwd-0.0-3.20170607git596854c.fc28.x86_64.rpm
          vncpwd-debuginfo-0.0-3.20170607git596854c.fc28.x86_64.rpm
          vncpwd-debugsource-0.0-3.20170607git596854c.fc28.x86_64.rpm
          vncpwd-0.0-3.20170607git596854c.fc28.src.rpm
vncpwd.x86_64: W: spelling-error %description -l en_US decrypts -> crypts
vncpwd.x86_64: W: only-non-binary-in-usr-lib
vncpwd.x86_64: E: incorrect-fsf-address /usr/share/doc/vncpwd/README
vncpwd.x86_64: W: no-manual-page-for-binary vncpwd
vncpwd-debugsource.x86_64: W: no-documentation
vncpwd-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/vncpwd-0.0-3.20170607git596854c.fc28.x86_64/vncpwd.c
vncpwd.src: W: spelling-error %description -l en_US decrypts -> crypts
4 packages and 0 specfiles checked; 2 errors, 5 warnings.

Comment 7 Gwyn Ciesla 2017-12-13 12:25:09 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/vncpwd

Comment 8 Fedora Update System 2018-02-16 00:14:39 UTC
vncpwd-0.0-3.20170607git596854c.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-391af85d0a

Comment 9 Fedora Update System 2018-02-16 00:14:48 UTC
vncpwd-0.0-3.20170607git596854c.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bbbd526e2e

Comment 10 Fedora Update System 2018-02-16 15:42:19 UTC
vncpwd-0.0-3.20170607git596854c.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-391af85d0a

Comment 11 Fedora Update System 2018-02-16 16:28:10 UTC
vncpwd-0.0-3.20170607git596854c.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bbbd526e2e

Comment 12 Fedora Update System 2018-02-28 17:10:02 UTC
vncpwd-0.0-3.20170607git596854c.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-06 17:30:51 UTC
vncpwd-0.0-3.20170607git596854c.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.